Revert "Bump omniauth-google-oauth2 version"

Revert “Bump omniauth-google-oauth2 version”

This reverts commit 8ac0b721c541881d3726e051861df4ecb26afeb2.

diff --git a/Gemfile.lock b/Gemfile.lock
index 36e9058..eaa13c8 100644
--- a/Gemfile.lock
+++ b/Gemfile.lock
@@ -131,7 +131,7 @@ GEM
     exifr (1.3.4)
     fabrication (2.20.1)
     fakeweb (1.3.0)
-    faraday (0.15.4)
+    faraday (0.12.2)
       multipart-post (>= 1.2, < 3)
     faraday-http-cache (1.3.1)
       faraday (~> 0.8)
@@ -152,7 +152,7 @@ GEM
       activesupport (>= 4.2.0)
     guess_html_encoding (0.0.11)
     hashdiff (0.3.7)
-    hashie (3.6.0)
+    hashie (3.5.7)
     highline (1.7.10)
     hiredis (0.6.1)
     hkdf (0.3.0)
@@ -168,7 +168,7 @@ GEM
       rails-dom-testing (>= 1, < 3)
       railties (>= 4.2.0)
       thor (>= 0.14, < 2.0)
-    jwt (2.1.0)
+    jwt (1.5.6)
     kgio (2.11.2)
     kramdown (1.17.0)
     libv8 (6.7.288.46.1)
@@ -222,25 +222,25 @@ GEM
     nokogumbo (1.5.0)
       nokogiri
     oauth (0.5.4)
-    oauth2 (1.4.1)
-      faraday (>= 0.8, < 0.16.0)
-      jwt (>= 1.0, < 3.0)
+    oauth2 (1.4.0)
+      faraday (>= 0.8, < 0.13)
+      jwt (~> 1.0)
       multi_json (~> 1.3)
       multi_xml (~> 0.5)
       rack (>= 1.2, < 3)
     octokit (4.9.0)
       sawyer (~> 0.8.0, >= 0.5.3)
     oj (3.6.2)
-    omniauth (1.9.0)
-      hashie (>= 3.4.6, < 3.7.0)
+    omniauth (1.8.1)
+      hashie (>= 3.4.6, < 3.6.0)
       rack (>= 1.6.2, < 3)
     omniauth-facebook (5.0.0)
       omniauth-oauth2 (~> 1.2)
     omniauth-github (1.3.0)
       omniauth (~> 1.5)
       omniauth-oauth2 (>= 1.4.0, < 2.0)
-    omniauth-google-oauth2 (0.6.0)
-      jwt (>= 2.0)
+    omniauth-google-oauth2 (0.5.3)
+      jwt (>= 1.5)
       omniauth (>= 1.1.1)
       omniauth-oauth2 (>= 1.5)
     omniauth-instagram (1.3.0)
@@ -249,9 +249,9 @@ GEM
     omniauth-oauth (1.1.0)
       oauth
       omniauth (~> 1.0)
-    omniauth-oauth2 (1.6.0)
+    omniauth-oauth2 (1.5.0)
       oauth2 (~> 1.1)
-      omniauth (~> 1.9)
+      omniauth (~> 1.2)
     omniauth-openid (1.0.1)
       omniauth (~> 1.0)
       rack-openid (~> 1.3.1)

GitHub
sha: 98782744

A good commit message would explain why you are doing the revert.

Revert was explained here: Configuring Google login for Discourse - admins - Discourse Meta

even in the meta post you did not document which other parts broke.

After the bump we ran into the following issues

* ...
* ...
* ...

For now lets go back to omniauth-google-oauth2 0.5.3

The updated version of JWT caused an issue with GitHub - discourse/discourse-openid-connect: Allows an OpenID Connect provider to be used as an authentication provider for Discourse which was caught by our continuous integration system. The change has been reverted until we can look into it further. We should be able to get it sorted later this week.

2 Likes